/*
 * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS HEADER.
 *
 * Copyright (c) 2009-2010 Oracle and/or its affiliates. All rights reserved.
 *
 * The contents of this file are subject to the terms of either the GNU
 * General Public License Version 2 only ("GPL") or the Common Development
 * and Distribution License("CDDL") (collectively, the "License").  You
 * may not use this file except in compliance with the License.  You can
 * obtain a copy of the License at
 * https://glassfish.dev.java.net/public/CDDL+GPL_1_1.html
 * or packager/legal/LICENSE.txt.  See the License for the specific
 * language governing permissions and limitations under the License.
 *
 * When distributing the software, include this License Header Notice in each
 * file and include the License file at packager/legal/LICENSE.txt.
 *
 * GPL Classpath Exception:
 * Oracle designates this particular file as subject to the "Classpath"
 * exception as provided by Oracle in the GPL Version 2 section of the License
 * file that accompanied this code.
 *
 * Modifications:
 * If applicable, add the following below the License Header, with the fields
 * enclosed by brackets [] replaced by your own identifying information:
 * "Portions Copyright [year] [name of copyright owner]"
 *
 * Contributor(s):
 * If you wish your version of this file to be governed by only the CDDL or
 * only the GPL Version 2, indicate your decision by adding "[Contributor]
 * elects to include this software in this distribution under the [CDDL or GPL
 * Version 2] license."  If you don't indicate a single choice of license, a
 * recipient has the option to distribute your version of this file under
 * either the CDDL, the GPL Version 2 or to extend the choice of license to
 * its licensees as provided above.  However, if you add GPL Version 2 code
 * and therefore, elected the GPL Version 2 license, then the option applies
 * only if the new code is made subject to such option by the copyright
 * holder.
 */

package com.sun.grizzly.http.webxml.schema.version_2_3;

import javax.xml.bind.annotation.XmlRegistry;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the ca.sebastiendionne.xsd package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {


    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: ca.sebastiendionne.xsd
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link HttpMethod }
     * 
     */
    public HttpMethod createHttpMethod() {
        return new HttpMethod();
    }

    /**
     * Create an instance of {@link Filter }
     * 
     */
    public Filter createFilter() {
        return new Filter();
    }

    /**
     * Create an instance of {@link Description }
     * 
     */
    public Description createDescription() {
        return new Description();
    }

    /**
     * Create an instance of {@link ResRefName }
     * 
     */
    public ResRefName createResRefName() {
        return new ResRefName();
    }

    /**
     * Create an instance of {@link TaglibLocation }
     * 
     */
    public TaglibLocation createTaglibLocation() {
        return new TaglibLocation();
    }

    /**
     * Create an instance of {@link EnvEntryValue }
     * 
     */
    public EnvEntryValue createEnvEntryValue() {
        return new EnvEntryValue();
    }

    /**
     * Create an instance of {@link RoleName }
     * 
     */
    public RoleName createRoleName() {
        return new RoleName();
    }

    /**
     * Create an instance of {@link WelcomeFile }
     * 
     */
    public WelcomeFile createWelcomeFile() {
        return new WelcomeFile();
    }

    /**
     * Create an instance of {@link Servlet }
     * 
     */
    public Servlet createServlet() {
        return new Servlet();
    }

    /**
     * Create an instance of {@link FilterClass }
     * 
     */
    public FilterClass createFilterClass() {
        return new FilterClass();
    }

    /**
     * Create an instance of {@link SecurityRole }
     * 
     */
    public SecurityRole createSecurityRole() {
        return new SecurityRole();
    }

    /**
     * Create an instance of {@link EjbRef }
     * 
     */
    public EjbRef createEjbRef() {
        return new EjbRef();
    }

    /**
     * Create an instance of {@link SecurityConstraint }
     * 
     */
    public SecurityConstraint createSecurityConstraint() {
        return new SecurityConstraint();
    }

    /**
     * Create an instance of {@link ResSharingScope }
     * 
     */
    public ResSharingScope createResSharingScope() {
        return new ResSharingScope();
    }

    /**
     * Create an instance of {@link ResourceRef }
     * 
     */
    public ResourceRef createResourceRef() {
        return new ResourceRef();
    }

    /**
     * Create an instance of {@link RoleLink }
     * 
     */
    public RoleLink createRoleLink() {
        return new RoleLink();
    }

    /**
     * Create an instance of {@link LoadOnStartup }
     * 
     */
    public LoadOnStartup createLoadOnStartup() {
        return new LoadOnStartup();
    }

    /**
     * Create an instance of {@link ErrorCode }
     * 
     */
    public ErrorCode createErrorCode() {
        return new ErrorCode();
    }

    /**
     * Create an instance of {@link UserDataConstraint }
     * 
     */
    public UserDataConstraint createUserDataConstraint() {
        return new UserDataConstraint();
    }

    /**
     * Create an instance of {@link InitParam }
     * 
     */
    public InitParam createInitParam() {
        return new InitParam();
    }

    /**
     * Create an instance of {@link JspFile }
     * 
     */
    public JspFile createJspFile() {
        return new JspFile();
    }

    /**
     * Create an instance of {@link EnvEntry }
     * 
     */
    public EnvEntry createEnvEntry() {
        return new EnvEntry();
    }

    /**
     * Create an instance of {@link WebResourceCollection }
     * 
     */
    public WebResourceCollection createWebResourceCollection() {
        return new WebResourceCollection();
    }

    /**
     * Create an instance of {@link ResAuth }
     * 
     */
    public ResAuth createResAuth() {
        return new ResAuth();
    }

    /**
     * Create an instance of {@link FormLoginPage }
     * 
     */
    public FormLoginPage createFormLoginPage() {
        return new FormLoginPage();
    }

    /**
     * Create an instance of {@link FilterName }
     * 
     */
    public FilterName createFilterName() {
        return new FilterName();
    }

    /**
     * Create an instance of {@link Taglib }
     * 
     */
    public Taglib createTaglib() {
        return new Taglib();
    }

    /**
     * Create an instance of {@link ResourceEnvRef }
     * 
     */
    public ResourceEnvRef createResourceEnvRef() {
        return new ResourceEnvRef();
    }

    /**
     * Create an instance of {@link LoginConfig }
     * 
     */
    public LoginConfig createLoginConfig() {
        return new LoginConfig();
    }

    /**
     * Create an instance of {@link ServletClass }
     * 
     */
    public ServletClass createServletClass() {
        return new ServletClass();
    }

    /**
     * Create an instance of {@link EnvEntryName }
     * 
     */
    public EnvEntryName createEnvEntryName() {
        return new EnvEntryName();
    }

    /**
     * Create an instance of {@link AuthConstraint }
     * 
     */
    public AuthConstraint createAuthConstraint() {
        return new AuthConstraint();
    }

    /**
     * Create an instance of {@link WebResourceName }
     * 
     */
    public WebResourceName createWebResourceName() {
        return new WebResourceName();
    }

    /**
     * Create an instance of {@link EjbRefType }
     * 
     */
    public EjbRefType createEjbRefType() {
        return new EjbRefType();
    }

    /**
     * Create an instance of {@link ResourceEnvRefType }
     * 
     */
    public ResourceEnvRefType createResourceEnvRefType() {
        return new ResourceEnvRefType();
    }

    /**
     * Create an instance of {@link ExceptionType }
     * 
     */
    public ExceptionType createExceptionType() {
        return new ExceptionType();
    }

    /**
     * Create an instance of {@link EjbRefName }
     * 
     */
    public EjbRefName createEjbRefName() {
        return new EjbRefName();
    }

    /**
     * Create an instance of {@link ListenerClass }
     * 
     */
    public ListenerClass createListenerClass() {
        return new ListenerClass();
    }

    /**
     * Create an instance of {@link SmallIcon }
     * 
     */
    public SmallIcon createSmallIcon() {
        return new SmallIcon();
    }

    /**
     * Create an instance of {@link UrlPattern }
     * 
     */
    public UrlPattern createUrlPattern() {
        return new UrlPattern();
    }

    /**
     * Create an instance of {@link ResType }
     * 
     */
    public ResType createResType() {
        return new ResType();
    }

    /**
     * Create an instance of {@link Icon }
     * 
     */
    public Icon createIcon() {
        return new Icon();
    }

    /**
     * Create an instance of {@link ServletMapping }
     * 
     */
    public ServletMapping createServletMapping() {
        return new ServletMapping();
    }

    /**
     * Create an instance of {@link AuthMethod }
     * 
     */
    public AuthMethod createAuthMethod() {
        return new AuthMethod();
    }

    /**
     * Create an instance of {@link FilterMapping }
     * 
     */
    public FilterMapping createFilterMapping() {
        return new FilterMapping();
    }

    /**
     * Create an instance of {@link ParamName }
     * 
     */
    public ParamName createParamName() {
        return new ParamName();
    }

    /**
     * Create an instance of {@link ServletName }
     * 
     */
    public ServletName createServletName() {
        return new ServletName();
    }

    /**
     * Create an instance of {@link EjbLink }
     * 
     */
    public EjbLink createEjbLink() {
        return new EjbLink();
    }

    /**
     * Create an instance of {@link RunAs }
     * 
     */
    public RunAs createRunAs() {
        return new RunAs();
    }

    /**
     * Create an instance of {@link SecurityRoleRef }
     * 
     */
    public SecurityRoleRef createSecurityRoleRef() {
        return new SecurityRoleRef();
    }

    /**
     * Create an instance of {@link LargeIcon }
     * 
     */
    public LargeIcon createLargeIcon() {
        return new LargeIcon();
    }

    /**
     * Create an instance of {@link Location }
     * 
     */
    public Location createLocation() {
        return new Location();
    }

    /**
     * Create an instance of {@link TaglibUri }
     * 
     */
    public TaglibUri createTaglibUri() {
        return new TaglibUri();
    }

    /**
     * Create an instance of {@link EjbLocalRef }
     * 
     */
    public EjbLocalRef createEjbLocalRef() {
        return new EjbLocalRef();
    }

    /**
     * Create an instance of {@link Local }
     * 
     */
    public Local createLocal() {
        return new Local();
    }

    /**
     * Create an instance of {@link Extension }
     * 
     */
    public Extension createExtension() {
        return new Extension();
    }

    /**
     * Create an instance of {@link FormLoginConfig }
     * 
     */
    public FormLoginConfig createFormLoginConfig() {
        return new FormLoginConfig();
    }

    /**
     * Create an instance of {@link TransportGuarantee }
     * 
     */
    public TransportGuarantee createTransportGuarantee() {
        return new TransportGuarantee();
    }

    /**
     * Create an instance of {@link ParamValue }
     * 
     */
    public ParamValue createParamValue() {
        return new ParamValue();
    }

    /**
     * Create an instance of {@link ErrorPage }
     * 
     */
    public ErrorPage createErrorPage() {
        return new ErrorPage();
    }

    /**
     * Create an instance of {@link MimeMapping }
     * 
     */
    public MimeMapping createMimeMapping() {
        return new MimeMapping();
    }

    /**
     * Create an instance of {@link SessionConfig }
     * 
     */
    public SessionConfig createSessionConfig() {
        return new SessionConfig();
    }

    /**
     * Create an instance of {@link ResourceEnvRefName }
     * 
     */
    public ResourceEnvRefName createResourceEnvRefName() {
        return new ResourceEnvRefName();
    }

    /**
     * Create an instance of {@link WebApp }
     * 
     */
    public WebApp createWebApp() {
        return new WebApp();
    }

    /**
     * Create an instance of {@link EnvEntryType }
     * 
     */
    public EnvEntryType createEnvEntryType() {
        return new EnvEntryType();
    }

    /**
     * Create an instance of {@link Listener }
     * 
     */
    public Listener createListener() {
        return new Listener();
    }

    /**
     * Create an instance of {@link Home }
     * 
     */
    public Home createHome() {
        return new Home();
    }

    /**
     * Create an instance of {@link Distributable }
     * 
     */
    public Distributable createDistributable() {
        return new Distributable();
    }

    /**
     * Create an instance of {@link LocalHome }
     * 
     */
    public LocalHome createLocalHome() {
        return new LocalHome();
    }

    /**
     * Create an instance of {@link RealmName }
     * 
     */
    public RealmName createRealmName() {
        return new RealmName();
    }

    /**
     * Create an instance of {@link ContextParam }
     * 
     */
    public ContextParam createContextParam() {
        return new ContextParam();
    }

    /**
     * Create an instance of {@link DisplayName }
     * 
     */
    public DisplayName createDisplayName() {
        return new DisplayName();
    }

    /**
     * Create an instance of {@link Remote }
     * 
     */
    public Remote createRemote() {
        return new Remote();
    }

    /**
     * Create an instance of {@link SessionTimeout }
     * 
     */
    public SessionTimeout createSessionTimeout() {
        return new SessionTimeout();
    }

    /**
     * Create an instance of {@link WelcomeFileList }
     * 
     */
    public WelcomeFileList createWelcomeFileList() {
        return new WelcomeFileList();
    }

    /**
     * Create an instance of {@link FormErrorPage }
     * 
     */
    public FormErrorPage createFormErrorPage() {
        return new FormErrorPage();
    }

    /**
     * Create an instance of {@link MimeType }
     * 
     */
    public MimeType createMimeType() {
        return new MimeType();
    }

}
